%global pypi_name django-keyedcache
%global srcversion 1.4-6

Name:           python-%{pypi_name}
Version:        1.4.6
Release:        1%{?dist}
Summary:        Utilities for simplified development of cache aware objects
Group:          Development/Languages
License:        BSD
URL:            http://pypi.python.org/pypi/%{pypi_name}
Source0:        http://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{srcversion}.tar.gz

BuildArch:      noarch
BuildRequires:  python-setuptools-devel
BuildRequires:  python-devel
BuildRequires:  python-django
BuildRequires:  gettext
Requires:       python-django

%description
Django Keyedcache provides utilities and class mixins for simplified development
of cache-aware objects.  Used in Satchmo

%prep
%setup -q -n %{pypi_name}-%{srcversion}
rm -rf tests

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%find_lang django

# remove unneeded .po files
pushd $RPM_BUILD_ROOT
find -type f -name '*.po' -exec rm {} \;
popd

%check
pushd keyedcache/test_app
# remove unneded 'livesettings' app
sed -i "/'livesettings'/d" settings.py
PYTHONPATH=../.. python manage.py test keyedcache
popd

%files -f django.lang
%doc PKG-INFO
# list some files explicitly to avoid listing locale files twice
%{python_sitelib}/keyedcache/*.py*
%exclude %{python_sitelib}/keyedcache/test_app
%{python_sitelib}/keyedcache/templates/
%{python_sitelib}/django_keyedcache*.egg-info

%changelog
* Mon Aug 13 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.4.6-1
- Renamed to python-django-keyedcache.
- Updated to latest upstream release.
- Fixed URL to point to upstream, not to PyPI.
- Introduced %%check section.
- Improved lang files handling.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Jun 09 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 1.4.1-2
- Fix a build issue

* Thu Apr 14 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 1.4.1-1
- initial spec
